## class GenericEdge : public Edge

> generic edge class.

## Inheritance:

### Public Methods

  | GenericEdge (Graph *g, Subject *n1, Subject *n2)
  Subject* | Clone ()
  int | GetClassType () const

### Inherited from Edge:

### Public Methods

Subject* GetSubject1() const
Subject* GetSubject2() const
void SetSubject1(Subject *n)
void SetSubject2(Subject *n)
bool IsDirected() const
bool InGraph() const
bool IsEdge() const
bool PartOf(Subject *subject) const
void SetSubjects(Subject *n1, Subject *n2, bool d = 0)
void WriteMembers(OutputFile *f)
bool ReadMembers(InputFile *f, double format)
bool SetReferences(AssocList *)
bool CheckReferences()

### Protected Methods

void SetDirected(bool b)

### Inherited from Subject:

### Public Classes

enum NameErrType

### Public Methods

bool IsSubject() const
const string* GetName() const
virtual NameErrType SetName(const string *s)
void SetParent(Node *p)
Node* GetParent() const
void SetAnnotation(string *s)
const string* GetAnnotation() const
Graph* GetGraph() const

### Inherited from Thing:

### Public Classes

enum AssocType

### Public Methods

unsigned long GetId()
void SetId(unsigned long val)
virtual bool IsShape() const
virtual bool IsView() const
void Write(OutputFile *ofile)

## Documentation

> generic edge class.

`GenericEdge(Graph *g, Subject *n1, Subject *n2)`

`Subject* Clone()`

`int GetClassType() const`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de